Downgraded a friend's Wii from 3.4U to 3.2U, now GH:WT wants to up

Discussion in 'Wii - Hacking' started by ringorinfret, Jan 20, 2009.

  1. ringorinfret
    OP

    ringorinfret GBAtemp Fan

    Member
    306
    0
    Mar 10, 2008
    United States
    edit: title should say that guitar hero : world tour wants to UPDATE the system

    I guess the worst that could happen is lose the launcher (wiigator) or HBC ? please let me know as I have to advise this person. I looked up the update contained on GH:WT and it seems to be 3.1 v4 ?? wth is that? and why would it update if the system is at 3.2U....??

    see http://wum.talevas.com/?page=dev for update list

    thanks for your help
     
  2. AbraCadvr

    AbraCadvr GBAtemp Regular

    Member
    133
    3
    Aug 29, 2005
    Canada
    Saint-Lin-Laurentides,Quebec
    install starfall and block updates!
     
  3. donchen

    donchen GBAtemp Regular

    Member
    156
    0
    Mar 24, 2008
    Senegal
    i am also curious about this.

    If i block the updates, will i still be able to play? Does GH:WT require some other files?
     
  4. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    No wii games actually require updates.
     
  5. DKAngel

    DKAngel GBAtemp Advanced Fan

    Member
    665
    0
    Jan 5, 2009
    Perth,Australia
    it might require some other ios that is missing
     
  6. donchen

    donchen GBAtemp Regular

    Member
    156
    0
    Mar 24, 2008
    Senegal
    So blocking the updates using Starfall doesn't help right?

    So what is the work around for the poster?
     
  7. tueidj

    tueidj I R Expert

    Member
    2,569
    820
    Jan 8, 2009
    GHWT uses IOS37. Either you don't have it, or have downgraded to 3.2 and the system menu doesn't think you have it. Easiest solution is to just let the update happen, it won't hurt anything.
     
  8. ringorinfret
    OP

    ringorinfret GBAtemp Fan

    Member
    306
    0
    Mar 10, 2008
    United States
    thanks guys,

    I guess we will update and see, the suggestion that an IOS is missing could be true but I followed the procedure and all was great. Its just running the original GH:WT disk that wants to update the system. strange
     
  9. tueidj

    tueidj I R Expert

    Member
    2,569
    820
    Jan 8, 2009
    Like I said, when you force a downgrade the system menu tends to forget you already have IOS37 (or 38, 51, anything higher than 36). The game needs it to run so it prompts for the update.
     
  10. ringorinfret
    OP

    ringorinfret GBAtemp Fan

    Member
    306
    0
    Mar 10, 2008
    United States
    and does updating alterate the HBC or the backup launcher ? (gamma)
     
  11. tueidj

    tueidj I R Expert

    Member
    2,569
    820
    Jan 8, 2009
    No, the GHWT update contains nothing that could affect them.
     
  12. Diffusion

    Diffusion GBAtemp Advanced Fan

    Member
    701
    1
    Jul 14, 2007
    United States
    It's probably just trying to upgrade a lower version IOS to a higher version.
     
  13. Hells Guardian

    Hells Guardian GBAtemp Maniac

    Member
    1,113
    1
    Dec 25, 2008
    United States
    Actually installing the disk update check with starfall is highly recomended. period. If you downgraded all those things are in place just not noted by the system menu it's self or is an older version. It should have no trouble playing the game. If it does than I guess you can update but otherwise you should be just fine.
     
  14. fruitman

    fruitman Advanced Member

    Newcomer
    70
    0
    Nov 19, 2008
    United States
    enable disc updates in starfall, then accept the updates off the original disc. disable disc updates in starfall. check system menu .. conclude you are still on 3.2 and GH WT actually works =)

    i know because i found out myself.
     
  15. wiidata.net

    wiidata.net Newbie

    Newcomer
    1
    0
    Aug 30, 2007
    United States
    ive got a 1st gen wii and a wiifree modchip
    i had a rly old firmware

    now that ive updated the wii using gh:wt the wii says something like "unknown device" when i wanna start gh!
    what can i do about this? downgrade? [​IMG]
     
  16. JaapDraad

    JaapDraad Member

    Newcomer
    33
    0
    Jan 2, 2009
    Netherlands
    Netherlands
    I had the same problem. And indeed solved it by enabling disc updates in starfall en disabling them again after I update from the GH WT disc. Everything still works (HBC, Gamma loader)

    I downgraded a number of Wii's now using Emperor of Canada's tutorial. http://gbatemp.net/index.php?showtopic=118446

    The tutorial suggest to install IOS38-64-v3609.wad. I usually install it, but I might have skipped it for this guy. Could anyone confirm that that might be the cause of the problem.
     
  17. tueidj

    tueidj I R Expert

    Member
    2,569
    820
    Jan 8, 2009
    The GHWT update doesn't contain IOS38, if that's what you're asking.